package com.citygis.web.service;

import com.citygis.common.core.domain.AjaxResult;
import com.citygis.web.domain.DataSun;
import com.citygis.web.domain.TabDatasourceMsg;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 接入数据资源详情 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-08
 */
public interface ITabDatasourceMsgService extends IService<TabDatasourceMsg> {

    AjaxResult insertDataSun(DataSun dataSun);

    AjaxResult updateDataSun(DataSun dataSun);

    AjaxResult deleteDataSun(Long id);

    AjaxResult getDataSun(Long id);

    AjaxResult deleteKafkaSun(Long id);

    AjaxResult deleteUrlSun(Long id);

    AjaxResult deleteEtlAndKbSun(Long id);

}
